Jump to content

Avatar

Unable to play certain Rock Band 3 Wii customs - require latest update for RB3


  • Please log in to reply
6 replies to this topic

#1 vgplayer54

vgplayer54
  • 14 posts

Posted February 8, 2018 - 02:10 AM

Hello everyone,

I've been thoroughly enjoying the many customs uploaded to this site, and must thank everyone for their contributions and assistance on other issues I was having. I unfortunately have a new situation - I downloaded a couple rb3con files, converted them to Wii format, performed the process as any custom and they appear in my RB3 game as all customs do. These songs however do not play - they give the error "To play this song, you need the latest update for Rock Band 3. Please make sure you have downloaded all updates for this title". All customs work perfectly except for a select few that give this error.

 

The thing is - I don't want to risk updating my Wii firmware as I could be locked out of all my homebrew including Rock Band customs and I'd prefer not to use a new exploit and reinstall all the ios and cios patches and all that (or worse, brick the system). Is there a way to update the Rock Band 3 version to play these songs without updating the Wii firmware?

 

Thank you,



#2 Atruejedi

Atruejedi
  • 607 posts

Posted February 8, 2018 - 02:18 AM

...I'm confused. I'm a Wii user and, by definition, we don't get software updates for games themselves... I've never seen that error message. I've never had a problem like that with Rock Band 3 and using customs.

 

My Wii perpetually wants to download and install a firmware update (from the main Wii menu), but I reject it.

 

How are you launching Rock Band 3? I launch it from USBLoaderGX (using the Homebrew Channel), so I never have to interact with the default Wii's disc launcher (and therefore don't have to install the firmware update). I'm really surprised Rock Band 3 is giving you an error message, let alone that error message.

 

What songs is this happening with? Any info you can give will be helpful.


#1 Ranked Wii Customs Player... because it's the Wii
"Like a madman laughin' at the rain" - My custom song releases
Freelancers wanted! - Works-in-progress
"One-Trick Pony" - Details of my contributions in the database!
In-Depth Eclectic Suggestions - Let's collaborate!

Vocals Charting Philosophy - Because sometimes less is more
Packing Like a Pro - The Guide for a Legit Wii Library
Last.fm Profile - Let's be snobs together.


#3 vgplayer54

vgplayer54
  • 14 posts

Posted February 8, 2018 - 02:31 AM

...I'm confused. I'm a Wii user and, by definition, we don't get software updates for games themselves... I've never seen that error message. I've never had a problem like that with Rock Band 3 and using customs.

 

My Wii perpetually wants to download and install a firmware update (from the main Wii menu), but I reject it.

 

How are you launching Rock Band 3? I launch it from USBLoaderGX (using the Homebrew Channel), so I never have to interact with the default Wii's disc launcher (and therefore don't have to install the firmware update). I'm really surprised Rock Band 3 is giving you an error message, let alone that error message.

 

What songs is this happening with? Any info you can give will be helpful.

I thought the exact same thing! I have the authentic Rock Band 3 game disk in the Wii Drive and I am launching the game itself through Gecko via the Homebrew Channel. I do this because, when I click on the Rock Band disk from the main Wii menu, it will not allow me to start the game without first installing a firmware update. Gecko has been a way around that.

 

The songs themselves that are giving this error are songs that came from the Rock Band 1 Wii disk, which I also own. All customs work with no issues except for the ones coming from Rock Band 1. I have them all in the Wii-correct format, converted from rb3con, and performed the same method as all customs but receive this error. Bizarre....



#4 EuroMIX

EuroMIX
  • 89 posts

Posted February 8, 2018 - 02:58 PM

If you are able, install Priiloader and use its options to disable updates. This is useful just in case someone gets their hands on your Wii and inadvertently installs something without realising. If you're on 4.3 there's literally no need to update anyway.

 

Regarding getting RB1 songs working with RB3... it's a mess. I think Stack's general response is "do not even ask". I myself have only bothered getting a small number of RB1 songs working because of compatibility issues. It's possible that vanilla RB1 Wii song rips just aren't compatible with RB3, hence why you triggered that rare error. It probably wants to update the files to be compatible, but it can't.



#5 vgplayer54

vgplayer54
  • 14 posts

Posted February 8, 2018 - 03:29 PM

If you are able, install Priiloader and use its options to disable updates. This is useful just in case someone gets their hands on your Wii and inadvertently installs something without realising. If you're on 4.3 there's literally no need to update anyway.

 

Regarding getting RB1 songs working with RB3... it's a mess. I think Stack's general response is "do not even ask". I myself have only bothered getting a small number of RB1 songs working because of compatibility issues. It's possible that vanilla RB1 Wii song rips just aren't compatible with RB3, hence why you triggered that rare error. It probably wants to update the files to be compatible, but it can't.

Thanks for the advice - I never realized there'd be compatibility issues with RB1 songs being used in Rock Band 3 as customs. I assume then that there aren't any small modifications or changes I can make to allow them to work? Just live without RB1 songs? Or do you think updating my firmware and performing the entire exploit ios/cios patching again would fix this?



#6 vgplayer54

vgplayer54
  • 14 posts

Posted February 9, 2018 - 01:07 PM

I suppose not - that's okay thank you guys.



#7 EuroMIX

EuroMIX
  • 89 posts

Posted February 9, 2018 - 01:19 PM

Did you get my PM, vgplayer54?






1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users